require("frog")
require("spider")

function love.load()
	lineY = 300
	
	love.graphics.setLineWidth(1)
	love.graphics.setLineStyle("rough")
	
	frog1 = Frog.new(100, 100)
	spider1 = Spider.new(200, 120)
end

function love.update(dt)
	frog1:update(dt)
	spider1:update(dt)
end

function love.draw()
	love.graphics.line(0, lineY, 800, lineY)
	frog1:draw()
	spider1:draw()
	--_ = function () if getmetatable(frog1) == getmetatable(spider1) then return "true" else return "false" end end
	--love.graphics.print(_(), 0, 0)
end

function love.keypressed(key)
	if key == "escape" then
		love.event.push("quit")
	end
end
